// Jm3u (c)1998 Romain GUY
// Winamp Lists Generator

// For Batches fans Jm3u returns 0 on command error, 1 on completion, 2 on write error

import java.io.*;

public class Jm3u
{
  static private int counter;
  static String currentFile;
  static final String helpSwitches[] = { "--help", "help", "/?", "-help", "--h", "-h", "-?", "?" };
  static final String extensions[] = { "mp3", "mp2", "wav", "voc", "mpg", "mid", "cda", "it", "xm", "s3m", "stm", "mod", "669" };

  public static void command()
  {
    System.out.println("\nJm3u (c)1998 Romain GUY\nA Winamp Lists Maker\n\nCommand: java Jm3u <list> <winamp files>");
    System.exit(0);
  }

  public static void main(String args[])
  {
    if (args.length < 2) command();
    for (int i = 0; i < helpSwitches.length; i++)
      if (args[0].equals(helpSwitches[i])) command();
    if (args[0].indexOf(".m3u") == -1)
      args[0] += ".m3u";
    try
    {
      File listFile = new File(args[0]);
      if (listFile.exists()) listFile.delete();
      RandomAccessFile m3uFile = new RandomAccessFile(args[0], "rw");
      for (int i = 1; i < args.length; i++)
      {      
        currentFile = args[i] + "\n";
	for (int j = 0; j < extensions.length; j++)
          if (args[i].toLowerCase().indexOf("." + extensions[j]) != -1)
	  {
	    m3uFile.write(currentFile.getBytes());
	    counter++;
            System.out.println("Adding " + args[i]);
	  }
      }
      m3uFile.close();
    }
    catch (IOException e)
    {
      System.out.println("\nError while writing " + args[0]);
      System.exit(2);
    }
    System.out.println("\nReport:\n  Added " + counter + " files.\n  Wrote " + args[0] + ".\n  Complete.");
    System.exit(1);
  }
}

// End Of Source
